gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.CssLocation

Contents

- Exported types
- Methods
- Properties
  - bytes
  - chars
  - lineBytes
  - lineChars
  - lines

Description

Points at a location inside a CSS stream.

Synopsis

- newtype CssLocation = CssLocation (ManagedPtr CssLocation)
- newZeroCssLocation :: MonadIO m => m CssLocation
- getCssLocationBytes :: MonadIO m => CssLocation -> m CSize
- setCssLocationBytes :: MonadIO m => CssLocation -> CSize -> m ()
- getCssLocationChars :: MonadIO m => CssLocation -> m CSize
- setCssLocationChars :: MonadIO m => CssLocation -> CSize -> m ()
- getCssLocationLineBytes :: MonadIO m => CssLocation -> m CSize
- setCssLocationLineBytes :: MonadIO m => CssLocation -> CSize -> m ()
- getCssLocationLineChars :: MonadIO m => CssLocation -> m CSize
- setCssLocationLineChars :: MonadIO m => CssLocation -> CSize -> m ()
- getCssLocationLines :: MonadIO m => CssLocation -> m CSize
- setCssLocationLines :: MonadIO m => CssLocation -> CSize -> m ()

# Exported types

newtype CssLocation Source #

Memory-managed wrapper type.

Constructors

CssLocation (ManagedPtr CssLocation) |

#### Instances

Instances details

Eq CssLocation Source # |
Instance details Defined in GI.Gtk.Structs.CssLocation Methods (==) :: CssLocation -> CssLocation -> Bool Source # (/=) :: CssLocation -> CssLocation -> Bool Source #
BoxedPtr CssLocation Source # |
Instance details Defined in GI.Gtk.Structs.CssLocation Methods boxedPtrCopy :: CssLocation -> IO CssLocation Source # boxedPtrFree :: CssLocation -> IO () Source #
CallocPtr CssLocation Source # |
Instance details Defined in GI.Gtk.Structs.CssLocation Methods boxedPtrCalloc :: IO (Ptr CssLocation) Source #
ManagedPtrNewtype CssLocation Source # |
Instance details Defined in GI.Gtk.Structs.CssLocation Methods toManagedPtr :: CssLocation -> ManagedPtr CssLocation Source #
tag ~ 'AttrSet => Constructible CssLocation tag Source # |
Instance details Defined in GI.Gtk.Structs.CssLocation Methods new :: MonadIO m => (ManagedPtr CssLocation -> CssLocation) -> [AttrOp CssLocation tag] -> m CssLocation Source #

newZeroCssLocation :: MonadIO m => m CssLocation Source #

Construct a `CssLocation` struct initialized to zero.

# Methods

# Properties

## bytes

No description available in the introspection data.

getCssLocationBytes :: MonadIO m => CssLocation -> m CSize Source #

Get the value of the “`bytes`” field. When overloading is enabled, this is equivalent to

    get cssLocation #bytes

setCssLocationBytes :: MonadIO m => CssLocation -> CSize -> m () Source #

Set the value of the “`bytes`” field. When overloading is enabled, this is equivalent to

    set cssLocation [ #bytes := value ]

## chars

No description available in the introspection data.

getCssLocationChars :: MonadIO m => CssLocation -> m CSize Source #

Get the value of the “`chars`” field. When overloading is enabled, this is equivalent to

    get cssLocation #chars

setCssLocationChars :: MonadIO m => CssLocation -> CSize -> m () Source #

Set the value of the “`chars`” field. When overloading is enabled, this is equivalent to

    set cssLocation [ #chars := value ]

## lineBytes

No description available in the introspection data.

getCssLocationLineBytes :: MonadIO m => CssLocation -> m CSize Source #

Get the value of the “`line_bytes`” field. When overloading is enabled, this is equivalent to

    get cssLocation #lineBytes

setCssLocationLineBytes :: MonadIO m => CssLocation -> CSize -> m () Source #

Set the value of the “`line_bytes`” field. When overloading is enabled, this is equivalent to

    set cssLocation [ #lineBytes := value ]

## lineChars

No description available in the introspection data.

getCssLocationLineChars :: MonadIO m => CssLocation -> m CSize Source #

Get the value of the “`line_chars`” field. When overloading is enabled, this is equivalent to

    get cssLocation #lineChars

setCssLocationLineChars :: MonadIO m => CssLocation -> CSize -> m () Source #

Set the value of the “`line_chars`” field. When overloading is enabled, this is equivalent to

    set cssLocation [ #lineChars := value ]

## lines

No description available in the introspection data.

getCssLocationLines :: MonadIO m => CssLocation -> m CSize Source #

Get the value of the “`lines`” field. When overloading is enabled, this is equivalent to

    get cssLocation #lines

setCssLocationLines :: MonadIO m => CssLocation -> CSize -> m () Source #

Set the value of the “`lines`” field. When overloading is enabled, this is equivalent to

    set cssLocation [ #lines := value ]